/**
 * Router file for managing url changes
 */

/**
 * The main router object.
 *
 */

var router = {};

/**
  * Initialize the Router
  *
  */
router.init = function() {

  router.loadContent();
  router.listenPageChange();

};

/**
 * Gets the slug from the URL
 *
 */
router.getSlug = function() {

  url = window.location.hash;

  if( "" === url ) {

    return null;

  } else {

    return url.substr( 1 );

  }

};

/**
 * Listener function for URL changes
 *
 */
router.listenPageChange = function() {

  window.addEventListener( 'hashchange', router.loadContent, false );

}

/**
 * Determines whether to load blog posts
 * or single post
 *
 */

router.loadContent = function() {

  var url = router.getSlug();

  view.clearContent();

  if( null === url ) {

    view.loadBlogPosts();

  } else {

    view.loadBlogPost( url );

  }

}
